Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229041 - cfitsio: $RPM_OPT_FLAGS unwantedly overridden
Summary: cfitsio: $RPM_OPT_FLAGS unwantedly overridden
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: cfitsio
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthew Truch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-16 17:58 UTC by Ville Skyttä
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-17 15:33:02 UTC


Attachments (Terms of Use)
Use $RPM_OPT_FLAGS, add missing pkgconfig dependency (deleted)
2007-02-16 17:58 UTC, Ville Skyttä
no flags Details | Diff

Description Ville Skyttä 2007-02-16 17:58:10 UTC
http://www.redhat.com/archives/fedora-maintainers/2007-January/msg00339.html

cfitsio's configure falls back to using "cc" if $CC is defined, and if using
"cc", replaces -g in CFLAGS with -O, trumping -O2 and resulting in useless
debuginfo package.  Fix attached, also adds missing dependency on pkgconfig to
-devel.

Comment 1 Ville Skyttä 2007-02-16 17:58:10 UTC
Created attachment 148215 [details]
Use $RPM_OPT_FLAGS, add missing pkgconfig dependency

Comment 2 Matthew Truch 2007-02-17 15:33:02 UTC
Thanks, Ville.  I should have caught that during the initial import process.  

Fixed in FC-5, FC-6, and devel.


Note You need to log in before you can comment on or make changes to this bug.